import express from 'express';
import db from './db.js';

const router = express.Router();

// إضافة منطقة جديدة
router.post('/add', async (req, res) => {
  const { area } = req.body;

  try {
    const [result] = await db.query('INSERT INTO areas (area) VALUES (?)', [area]);
    res.json({ message: 'تمت إضافة المنطقة بنجاح!', id: result.insertId });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء إضافة المنطقة.' });
  }
});

// جلب جميع المناطق
router.get('/', async (req, res) => {
  try {
    const [rows] = await db.query('SELECT * FROM areas');
    res.json(rows);
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء جلب المناطق.' });
  }
});

// تعديل منطقة
router.put('/edit/:id', async (req, res) => {
  const { id } = req.params;
  const { area } = req.body;

  try {
    await db.query('UPDATE areas SET area = ? WHERE id = ?', [area, id]);
    res.json({ message: 'تم تعديل المنطقة بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء تعديل المنطقة.' });
  }
});

// حذف منطقة
router.delete('/delete/:id', async (req, res) => {
  const { id } = req.params;

  try {
    await db.query('DELETE FROM areas WHERE id = ?', [id]);
    res.json({ message: 'تم حذف المنطقة بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء حذف المنطقة.' });
  }
});

export default router;
