import express from 'express';
import db from './db.js';

const router = express.Router();

// إضافة مدينة جديدة
router.post('/add', async (req, res) => {
  const { city, areas_id } = req.body;

  try {
    const [result] = await db.query('INSERT INTO cities (city, areas_id) VALUES (?, ?)', [city, areas_id]);
    res.json({ message: 'تمت إضافة المدينة بنجاح!', id: result.insertId });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء إضافة المدينة.' });
  }
});

// جلب جميع المدن مع المناطق المرتبطة بها
router.get('/', async (req, res) => {
  try {
    const [rows] = await db.query(`
      SELECT cities.id, cities.city, areas.area, areas.id AS areas_id
      FROM cities
      JOIN areas ON cities.areas_id = areas.id
    `);
    res.json(rows);
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء جلب المدن.' });
  }
});

// تعديل مدينة
router.put('/edit/:id', async (req, res) => {
  const { id } = req.params;
  const { city, areas_id } = req.body;

  try {
    await db.query('UPDATE cities SET city = ?, areas_id = ? WHERE id = ?', [city, areas_id, id]);
    res.json({ message: 'تم تعديل المدينة بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء تعديل المدينة.' });
  }
});

// حذف مدينة
router.delete('/delete/:id', async (req, res) => {
  const { id } = req.params;

  try {
    await db.query('DELETE FROM cities WHERE id = ?', [id]);
    res.json({ message: 'تم حذف المدينة بنجاح!' });
  } catch (error) {
    res.status(500).json({ message: 'حدث خطأ أثناء حذف المدينة.' });
  }
});

export default router;
