import express from 'express';
import verifyToken from './verifyToken.js';
import db from './db.js';

const router = express.Router();

// جلب الإعلانات الخاصة بالمستخدم
router.get('/all', verifyToken, async (req, res) => {
  const { useradsid } = req.query;

  try {
    const [rows] = await db.execute(
      `
      SELECT 
        ads.*, 
        alaqsam.qsm, 
        alfro.alfr1, 
        alfroo.alfr2, 
        areas.area, 
        cities.city 
      FROM ads
      LEFT JOIN alaqsam ON ads.alaqsamid = alaqsam.id
      LEFT JOIN alfro ON ads.alfroid = alfro.id
      LEFT JOIN alfroo ON ads.alfrooid = alfroo.id
      LEFT JOIN areas ON ads.areasid = areas.id
      LEFT JOIN cities ON ads.citiesid = cities.id
      WHERE ads.useradsid = ? AND ads.is_visible = 1
      `,
      [useradsid]
    );

    res.json(rows);
  } catch (error) {
    res.status(500).json({ message: 'Internal server error' });
  }
});

export default router;
