import React from 'react'
import { BrowserRouter as Router, Routes, Route } from 'react-router-dom'
import AdminIndex from './admins/AdminIndex.jsx'
import UserIndex from './users/UserIndex'
import Home from './Home'
import Login from './Login'
import Register from './Register'
import Alaqsam from './admins/Alaqsam'
import Fr1 from './admins/Fr1'
import Fr2 from './admins/Fr2'
import Areas from './admins/Areas'
import Cities from './admins/Cities'
import Modl from './admins/Modl'
import AdminAds from './admins/AdminAds'
import AdminUsers from './admins/AdminUsers'
import AdminAdsAll from './admins/AdminAdsall'
import AdminAdsshow from './admins/AdminAdsshow'
import AdminNew from './admins/AdminNew'
import UserMe from './users/UserMe'
import UserAds from './users/UserAds'
import UserAdsall from './users/UserAdsall'
import UserAdsshow from './users/UserAdsshow'
import UserAdsedit from './users/UserAdsedit'
import HomeTag from './HomeTag.jsx'
import TermsAndPrivacy from './TermsAndPrivacy.jsx'
//import Maintenance from '../Maintenance';


function Links() {
 /* const [isMaintenance, setIsMaintenance] = useState(false);

  useEffect(() => {
    const checkMaintenance = async () => {
      try {
        await axios.get('http://localhost:3001/api/protected');
        setIsMaintenance(false);
      } catch (error) {
        if (error.response?.status === 503) {
          setIsMaintenance(true); // الموقع في وضع الصيانة
        }
      }
    };

    checkMaintenance();
  }, []);

  if (isMaintenance) {
    return <Maintenance />;
  }
*/
  return (
    <Router >
        <Routes>

            {/* الصفحات المفتوحة */}
            <Route path="/" element={<Home />} />
            <Route path="/hometag/:id" element={<HomeTag />} />
            <Route path="/login" element={<Login />} />
            <Route path="/register" element={<Register />} />
            <Route path="/termsandprivacy" element={<TermsAndPrivacy />} /> {/* الشروط والأحكام */}

            {/* لوحة تحكم الأدمن */}
            <Route path="/adminindex" element={<AdminIndex />} />
            <Route path="alaqsam" element={<Alaqsam />} />
            <Route path="/fr1" element={<Fr1 />} />
            <Route path="/fr2" element={<Fr2 />} />
            <Route path="/areas" element={<Areas />} />
            <Route path="/cities" element={<Cities />} />
            <Route path="/modl" element={<Modl />} />
            <Route path="/adminads" element={<AdminAds />} />
            <Route path="/adminuser" element={<AdminUsers />} />
            <Route path="/adminnew" element={<AdminNew />} />
            <Route path="/adminadsall" element={<AdminAdsAll />} />
            <Route path="/adminadsshow/:id" element={<AdminAdsshow />} />

            {/* لوحة تحكم اليوزر */}
            <Route path="/userindex" element={<UserIndex />} />
            <Route path="/userme" element={<UserMe />} />
            <Route path="/userads" element={<UserAds />} />
            <Route path="/useradsall" element={<UserAdsall />} />
            <Route path="/useradsshow/:id" element={<UserAdsshow />} />
            <Route path="/useradsedit/:id" element={<UserAdsedit />} />

        </Routes>
    </Router>      

  )
}

export default Links