import React, { useEffect } from 'react';
import axios from 'axios';
import { useNavigate } from 'react-router-dom';

const ProtectedPage = () => {
    const navigate = useNavigate();

    useEffect(() => {
        const checkAuth = async () => {
            try {
                const response = await axios.get('https://ads2030.com/api/protected', {
                    withCredentials: true,
                });
                console.log(response.data);
            } catch (error) {
                navigate('/login'); // إعادة توجيه المستخدم إذا لم يكن مصرح له
            }
        };

        checkAuth();
    }, [navigate]);

    return <h1>Protected Content</h1>;
};

export default ProtectedPage;
