import React, { useEffect, useState } from 'react';
import { useNavigate } from 'react-router-dom';
import { getAuthDetails,/* logout */ } from '../authService';
import axios from 'axios'
import "./AdminNew.css";

function AdminNew() {

  const navigate = useNavigate();
  const [userRole, setUserRole] = useState(null);
  // الكوكيز والتوكن
  useEffect(() => {
    const checkAuth = async () => {
      try {
        const authDetails = await getAuthDetails();
        if (authDetails.role !== 'admin') {
            alert("الصفحة المطلوبة غير متوفرة")
          navigate('/login'); // إعادة التوجيه إذا لم يكن المستخدم Admin
        } else {
          setUserRole(authDetails.role); // تعيين الدور
        }
      } catch (error) {
        navigate('/login'); // إعادة التوجيه عند حدوث خطأ
      }
    };
    checkAuth();
  }, [navigate]);

/*
  // تسجيل الخروج
  const handleLogout = async () => {
    try {
      await logout();
      navigate('/login');
    } catch (error) {

    }
  };
*/
  // المدراء
  const [formData, setFormData] = useState({
    username: '',
    email: '',
    password: '',
    role: 'user',
    image: '',
    phone: '',
    is_visible_a: 0,
  });



  const handleInputChange = (e) => {
    const { name, value } = e.target;
    setFormData((prev) => ({ ...prev, [name]: value }));
  };


  const handleSubmit = async (e) => {
    e.preventDefault();
  
    const data = new FormData();
    for (const key in formData) {
      data.append(key, formData[key]);
    }
  
    try {
      await axios.post('https://ads2030.com/api/adminnew/add', data, {
        headers: { 'Content-Type': 'multipart/form-data' },
      });
      alert('تم إضافة المستخدم بنجاح');
      setFormData({
        username: '',
        email: '',
        password: '',
        role: 'user',
        image: '',
        phone: '',
        is_visible_a: 0,
      });
    } catch (error) {

    }
  };
  

  

  return (
    <div className="admin-new-container">

{userRole && <>
       <h1>أضف الأعضاء الجدد</h1>

            {/* فورم إضافة مستخدم جديد */}
            <form onSubmit={handleSubmit} style={{ marginBottom: '20px' }}>
              <div>
                <input
                type="text"
                name="username"
                value={formData.username}
                onChange={handleInputChange}
                placeholder="اسم المستخدم"
                required
                />
              </div>
              <div>
                <input
                type="email"
                name="email"
                value={formData.email}
                onChange={handleInputChange}
                placeholder="البريد الإلكتروني"
                required
                />
              </div>
              <div>
                <input
                type="password"
                name="password"
                value={formData.password}
                onChange={handleInputChange}
                placeholder="كلمة المرور"
                required
                />
              </div>
              <div>
                <input
                type="text"
                name="phone"
                value={formData.phone}
                onChange={handleInputChange}
                placeholder="رقم الهاتف"
                required
                />
              </div>
              <div>
                <select name="role" value={formData.role} onChange={handleInputChange}>
                <option value="user">مستخدم</option>
                <option value="admin">مدير</option>
                </select>
              </div>
              <div>
                <select name="is_visible_a" value={formData.is_visible_a} onChange={handleInputChange}>
                <option value="0">غير نشط</option>
                <option value="1">نشط</option>
                </select>
              </div>

              <div>
                <input
                  type="file"
                  name="image"
                  onChange={(e) => setFormData((prev) => ({ ...prev, image: e.target.files[0] }))}
                />

              </div>
              <div>
                <button type="submit">إضافة مستخدم</button>
              </div>
            </form>

      </>}
        
    </div>
  )
}

export default AdminNew